Перейти до основного вмісту
POST
/
deepseek
/
chat
/
completions
Deepseek Chat Completions
curl --request POST \
  --url https://api.acedata.cloud/deepseek/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "deepseek-v3",
  "messages": [
    {
      "role": "user",
      "content": "<string>"
    }
  ],
  "n": 1,
  "stream": false,
  "max_tokens": 123,
  "temperature": 1,
  "response_format": {
    "type": "json_object"
  }
}
'
{
  "id": "<string>",
  "model": "<string>",
  "object": "chat.completion",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "assistant",
        "content": "<string>"
      },
      "finish_reason": "stop"
    }
  ],
  "created": 123,
  "system_fingerprint": "<string>"
}

Авторизації

Authorization
string
header
обов'язково

Заголовки

accept
enum<string>

Specifies the format of the response from the server.

Доступні опції:
application/json

Тіло

application/json
model
enum<string>
обов'язково

ID of the model to use.

Доступні опції:
deepseek-r1,
deepseek-r1-0528,
deepseek-v3,
deepseek-v3-250324,
deepseek-v3.2-exp
Приклад:

"deepseek-v3"

messages
object[]
обов'язково

A list of messages comprising the conversation so far.

Minimum array length: 1
n
number | null
за замовчуванням:1

How many chat completion choices to generate for each input message.

Необхідний діапазон: 1 <= x <= 128
Приклад:

1

stream
boolean | null
за замовчуванням:false

If set, partial message deltas will be sent, like in ChatGPT.

max_tokens
number | null

The maximum number of tokens that can be generated in the chat completion.

temperature
number | null
за замовчуванням:1

What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.

Необхідний діапазон: 0 <= x <= 2
Приклад:

1

response_format
object

An object specifying the format that the model must output. If not specified, the model will output text.

Відповідь

OK, the request was successful.

Represents a chat completion response returned by model, based on the provided input.

id
string
обов'язково

A unique identifier for the chat completion.

model
string
обов'язково

The model used for the chat completion.

object
enum<string>
обов'язково

The object type, which is always chat.completion.

Доступні опції:
chat.completion
choices
object[]
обов'язково

A list of chat completion choices. Can be more than one if n is greater than 1.

created
number
обов'язково

The Unix timestamp (in seconds) of when the chat completion was created.

system_fingerprint
string

This fingerprint represents the backend configuration that the model runs with.

Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.